:root {
  --green-100: hsl(115, 22%, 32%);  /* Очень светлый зеленый для фона */
  --green-200: #2E8B57;  /* Темный зеленый для акцентов */
  --green-300: #2C2C2C;  /* Средний зеленый для кнопок */
  --green-400: hsla(0, 0%, 17.3%, 0.16);  /* Легкий зеленый для фона элементов */
  --green-500: #F2F2F2;  /* Светлый зеленый для фона */

  --green-tone-100: hsl(0,0%,20%);
  --green-tone-200: hsl(0,0%,23%);
  --green-tone-300: hsl(0,0%,26%);
  --green-tone-400: hsl(0,0%,29%);
  --green-tone-500: hsl(0,0%,32%);
  --gray-100: hsl(115, 85%, 7%);
  --gray-200: hsl(115, 22%, 32%);
  --gray-300: hsl(115, 17%, 50%);
  --gray-400: #FFD700;
  --gray-500: #F2F2F2;
  --violet-100: hsl(115, 85%, 7%);
  --violet-200: hsl(115, 22%, 32%);
  --violet-300: hsl(115, 22%, 32%);
  --violet-400:hsl(115, 17%, 50%);
  --violet-500: hsl(295, 60%, 92%);
  --swiper-theme-color: hsl(115, 65%, 25%);
}
body {
  background: #F2F2F2;
  font-family: Arial, sans-serif;
  color: #2C2C2C;
}
#sideMenu {
  background-color: var(--green-300);
  position: fixed;
  z-index: 10;
  width: 100%;
  box-shadow: 0px 5px 15px 0px #67676775;
}
.main-image {
  background: url(/main.jpg);
  background-repeat: no-repeat;
  background-size: contain;
  width: 100%;
  height: auto;
}
.floorScheme {
  /*display: none;*/
  /*position: fixed;*/
  /*top: 55px;*/
  /*left: 0;*/
  /*bottom: 0;*/
  /*background: white;*/
}
.floor-scheme-content-1 {
  position: absolute;
  top: 30%;
  width: 15%;
}
.floor-scheme-content-1 div {
  height: 50px;
  width: 100%;
  position: relative;
}
.floor-scheme-content-1 div:first-child {
  background-color: hsl(115, 65%, 46%);
}
.floor-scheme-content-1 div:nth-child(2) {
  background-color: hsl(5, 65%, 46%);
}
.floor-scheme-content-1 div:last-child {
  background-color: hsl(36, 75%, 46%);
}
.floor-scheme-content-1 span {
  position: absolute;
  top: 50%;
  left: 50%;
  margin-right: -50%;
  transform: translate(-50%, -25%);
  color: hsl(115, 60%, 92%);
  height: 50px;
  width: 100%;
}
#floorPlan {
  width: 100%;
  background-image: url(/6_floor.svg);
  background-repeat: no-repeat;
  background-size: contain;
}
#info a {
  color: var(--green-100);
}
#info a:hover {
  text-decoration: none;
  color: var(--violet-200);
  font-variant-caps: all-petite-caps;
}
#why-desc a {
  color: var(--green-500);
}
#why-desc a:hover {
  text-decoration: none;
  color: var(--violet-200);
}
.scale-in-hor-center {
  opacity: 0;
}
.scale-in-hor-center-wrap {
  opacity: 0;
}

@-webkit-keyframes scale-in-hor-center {
  0% {
    -webkit-transform: scaleX(0);
    transform: scaleX(0);
    opacity: 1;
  }
  100% {
    -webkit-transform: scaleX(1);
    transform: scaleX(1);
    opacity: 1;
  }
}
@keyframes scale-in-hor-center {
  0% {
    -webkit-transform: scaleX(0);
    transform: scaleX(0);
    opacity: 1;
  }
  100% {
    -webkit-transform: scaleX(1);
    transform: scaleX(1);
    opacity: 1;
  }
}
.shape:hover .scale-in-hor-center-wrap {
  opacity: 1;
  -webkit-animation: scale-in-hor-center 0.5s
    cubic-bezier(0.25, 0.46, 0.45, 0.94) both;
  animation: scale-in-hor-center 0.5s cubic-bezier(0.25, 0.46, 0.45, 0.94) both;
}
.shape:hover .scale-in-hor-center {
  opacity: 1;
  -webkit-animation: scale-in-hor-center 0.5s
    cubic-bezier(0.25, 0.46, 0.45, 0.94) 0.4s both;
  animation: scale-in-hor-center 0.5s cubic-bezier(0.25, 0.46, 0.45, 0.94) 0.4s
    both;
}
.details {
  opacity: 0;
}
.shape:hover .details {
  opacity: 1;
}
h1,h2,
h3 {
  color: #2C2C2C;
}

.btn-success {
  color: #fff;
  background-color: var(--green-300);
  border-color: var(--green-300);
}
.btn-success:hover {
  color: #fff;
  background-color: var(--green-200);
  border-color: var(--green-200);
}
.btn-success:not(:disabled):not(.disabled).active,
.btn-success:not(:disabled):not(.disabled):active,
.show > .btn-success.dropdown-toggle {
  color: #fff;
  background-color: var(--green-tone-300);
  border-color: var(--green-tone-300);
}
a:hover {
  color: var(--violet-200);
}
.countdown span {
  display: block;
  font-size: 4.5rem;
  color: var(--gray-200);
}
.mob-floor {
  fill: var(--gray-200);
  fill-opacity: 0;
}
.mob-floor-active {
  fill: var(--gray-400);
  fill-opacity: 0.45;
  filter: drop-shadow(7px 11px 25px var(--gray-400));
}
.choose-building {
  fill: transparent;
  /*filter: drop-shadow(7px 11px 25px var(--violet-200));*/
  /*stroke: var(--gray-400);*/
  /*stroke-width: 5px;*/
}
.choose-building:hover {
  fill: var(--green-200);
  opacity: 0.5;
  filter: drop-shadow(7px 11px 25px var(--violet-200));
}

/* menu styles */
.langBar span {
  color: hsl(0deg 0% 100%);
  text-transform: uppercase;
}
.langBar span:hover {
  border-bottom: 2px solid #fff;
}
.langBar a:hover {
  text-decoration: none;
}
.menu a {
  color: hsl(0deg 0% 100%);
  text-transform: uppercase;
}
.menu a:hover {
  color: hsl(0deg 0% 100%);
  text-transform: uppercase;
  text-decoration: none;
}
.menu-list {
  display: none;
  list-style: none;
}
.menu-list li {
  padding: 15px 0px;
}
.menu-list a {
  color: hsl(0deg 0% 100%);
  text-transform: uppercase;
}
.menu-list a:hover {
  color: hsl(0deg 0% 100%);
  text-transform: uppercase;
  text-decoration: none;
}
.comp {
  transition: transform 0.3s ease-out;
}
.comp:hover {
  transform: translate(0px, 16px);
  transition: 0.3s ease-in;
  background: var(--violet-200);
  text-decoration: none;
  color: white;
  cursor: pointer;
}
.hamburger {
  padding-top: 12px;
}
.hamburger:hover {
  cursor: pointer;
}
.hamburger:focus {
  outline: none;
}
.hamburger span {
  display: block;
  transition: all 0.3s;
  width: 30px;
  height: 3px;
  margin: 9px;
  background: #fff;
}
.first {
  transform: translate(-5px, 6px) rotate(45deg);
  /*transform-origin: left top;*/
}
.last {
  transform: translate(-5px, -6px) rotate(-45deg);
  /*transform-origin: right bottom;*/
}
.floor-nav-div {
  position: sticky;
  top: 40%;
  left: calc(100% - 200px);
  height: 225px;
  width: 180px;
  background-color: var(--gray-200);
  margin-top: -225px;
}
.blockInfo {
  width: 100%;
  text-align: center;
  font-size: 40px;
  color: white;
  display: none;
}
.floorInfo {
  position: absolute;
  top: 70%;
  left: 50%;
  margin-right: -50%;
  transform: translate(-50%, -50%);
  color: var(--gray-500);
  display: none;
}
.chooseFloor {
  font-size: 30px;
  color: var(--green-500);
  display: block;
  position: absolute;
  top: 50%;
  left: 50%;
  text-align: center;
  margin-right: -50%;
  transform: translate(-50%, -50%);
}
/* end of menu styles */
.h1-border-top {
  border-top: 10px solid var(--gray-400);
  width: 80px;
}
/* about project */
#about_project row {
  min-height: 500px;
}
#about_project a {
  color: var(--green-100);
  font-size: 17px;
  font-variant-caps: all-petite-caps;
  text-decoration: none;
  background-color: transparent;
  padding: 15px 0px;
}
.about-project-image {
  background: url(/img/back_2.jpg);
  background-size: cover;
  background-position: center;
}
/* installment */
.installment-back {
  background: url(../img/back_3.jpeg);
  background-position: bottom;
  background-repeat: no-repeat;
  background-size: cover;
  box-shadow: inset 0px -30vh 0px 0px #fff;
}
.installment h3 {
  text-transform: uppercase;
}
.installment {
  box-shadow: 0 0 20px 10px #a0a0a040;
  border-radius: 5px;
  background-color: #fff;
  margin-top: 25vh;
}
.container-installment {
  height: 80vh;
}
.installment-inner-row {
  height: 100%;
}
.installment-inner-col-first {
  border-right: 1px solid var(--gray-500);
}
.installment-inner-col-second {
  border-right: 0.5px solid var(--gray-500);
  border-left: 0.5px solid var(--gray-500);
}
.installment-inner-col-third {
  border-left: 1px solid var(--gray-500);
}
.installment-icon i {
  font-size: 113px;
  color: var(--gray-200);
}
.installment-icon-col {
  font-size: 70px;
  color: #fff;
}
.installment-icon-col i {
  height: 113px;
  width: 113px;
  background-color: var(--gray-200);
  border-radius: 50%;
  padding-top: 21.5px;
}
.installment-inner-row span {
  font-size: 25px;
}
.far.fa-check-circle {
  margin-right: 10px;
  color: var(--gray-200);
}
/* timer */
.timer-container {
  box-shadow: inset 35px 0px 0px 0px #2C2C2C, inset -20px 0px 0px 0px #36c229;
}
.timer-counters div {
  border-left: 2px solid var(--green-400);
}
.timer-counters div:first-child {
  border-left: none;
}
/* why holiday residence */
.why-container {
  min-height: 80vh;
}
.why-row {
  height: 50%;
}
.why-col {
  padding-left: 5rem;
}
.why-col h1 {
  border-left: 13px solid var(--gray-400);
}
.why-inner-row {
  height: 100%;
  min-height: 300px;
}
.why-1st-sq {
  background-color: var(--green-tone-100);
}
.why-inner-row h4 {
  color: var(--gray-500);
}
.why-inner-row span {
  color: var(--gray-500);
  font-size: 15px;
}
.why-inner-row i {
  font-size: 20px;
  padding-right: 5px;
  color: var(--gray-400);
}
/* available plannings */
.planning-col {
  padding-left: 5rem;
}
/* mini park */
.park h1 {
  border-left: 13px solid var(--gray-400);
  padding: 1rem 0 1rem 1rem;
}
.park-desc {
  background-color: var(--green-400);
  margin-left: 6rem;
}
.park-back {
  background: url(/img/minipark.jpg);
  background-size: cover;
  background-position: center;
  height: 500px;
}
.fil0 {
  fill: transparent;
}
.fil0:hover {
  fill: #36c22961;
  filter: drop-shadow(0 0 10px #fdfbfb);
}
.apts {
  fill: transparent;
}
.apts:hover {
  fill: #ffffffb0;
  filter: drop-shadow(0 0 10px #fdfbfb);
  cursor: pointer;
}
.soldApts {
  fill: #ff00008c;
}
.reservedApts {
  fill: #f1a30b96;
}
#apartmentInfo {
  background-color: #0a5617e0;
  display: none;
  padding: 10px 10px;
  position: absolute;
  z-index: 99;
  font-family: roboto;
  font-weight: 300;
  font-size: 15px;
  display: block;
  color: white;
  width: 170px;
}
#apartmentInfoModal {
  line-height: 32px;
  padding: 10px 15px;
  position: absolute;
  z-index: 99;
  font-family: roboto;
  font-weight: 300;
  font-size: 15px;
  display: block;
  color: var(--gray-200);
  width: 130px;
}
#floorInformation {
  background: var(--gray-400);
  color: black;
  position: absolute;
  z-index: 1000;
  display:none;
  padding: 5px 10px;
  font-size: 14px;
}

#floorInformation div span{
  font-weight: bold;
}

.soldShow, .reservedShow {
  background-color: hsl(5, 65%, 46%);
  display: inline-block;
  padding: 5px 10px;
  color: white;
}
.reservedShow {
  background: hsl(36, 75%, 46%);
}

@keyframes animate_pulse {
  0% {
    box-shadow: 0 0 0 0 rgba(255, 255, 255, 0.4);
  }
  25% {
    box-shadow: 0 0 0 15px rgba(255, 255, 255, 0.6);
  }
  50% {
    box-shadow: 0 0 0 20px rgba(255, 255, 255, 0.2);
  }
  75% {
    box-shadow: 0 0 0 25p rgba(255, 255, 255, 0.6);
  }
  100% {
    box-shadow: 0 0 0 35px rgba(255, 255, 255, 0);
  }
}
.video-btn {
  position: absolute;
  top: 30px;
  right: 220px;
  cursor: pointer;
}
.video-btn i {
  background: cyan;
  width: 50px;
  line-height: 50px;
  text-align: center;
  color: white;
  border-radius: 50%;
  display: block;
  padding-left: 2px;
  animation: animate_pulse 1s infinite;
}
.call-btn {
  position: absolute;
  bottom: 50px;
  right: 80px;
  cursor: pointer;
  font-size: 20px;
}
.call-btn i {
  background: cyan;
  width: 55px;
  line-height: 55px;
  text-align: center;
  color: white;
  border-radius: 50%;
  display: block;
  padding-left: 2px;
  animation: animate_pulse 1s infinite;
}
.apartmentImageModal {
  z-index: 2000;
}
.photoThumb {
  fill: #a2cce1;
  cursor: pointer;
}
.photoThumb:hover {
  fill: white;
  cursor: pointer;
  stroke: #a2cce1;
  stroke-width: 2px;
  transition: 0.2s;
}
/* нижнее меню */
.footer_menu li {
  margin-right: 20px;
  font-weight: 500;
  cursor: pointer;
  white-space: nowrap;
  display: inline-block;
}
.footer_menu li a {
  color: white;
  text-decoration: none;
}
.footer_menu li a:hover {
  color: var(--violet-200);
}
/* нижнее меню */
.logo {
  width: 185px;
  position: absolute;
  top: 0px;
  left: 20px;
}
.logo img {
  width: 100%;
}
.about-project {
  background-color: var(--green-400);
  padding-left: 6rem;
}

.itc-slider__items {
  margin-top:50px;
}
.itc-slider__item {
  flex: 0 0 33.3333333333%;
  max-width: 33.3333333333%;
  height: 65vh;
  display: flex;
  justify-content: center;
  align-items: center;
  color: rgba(255,255,255, 0.8);
}
.slider-inside {
  background: var(--gray-200);
  height: 100%;
}

.slider-inside-image {
  width: 60%;
  margin-left: auto;
  margin-right: auto;
  margin-top: -50px;
  background: white;
}

.slider-inside-title {
  font-size: 1.5rem;
  padding-top: 20px;
}

.slider-inside-text {
  margin-top: 20px;
  font-size: 14px;
}
.benefit {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  margin-bottom: 20px;
}

.benefit-icon {
  font-size: 2rem;
  color: var(--gray-200);
  margin-bottom: 10px;
}

.benefit h4 {
  font-size: 1.25rem;
  font-weight: 600;
  color: #2C3E50; /* Темный цвет для заголовков */
  margin-bottom: 5px;
}

.benefit p {
  font-size: 1rem;
  color: #7F8C8D; /* Светлый цвет для описания */
}
.choosenBlock {
  margin: 20px 0px;
  font-size: 1.25rem;
  text-align: center;
  width: 100%;
  text-transform: uppercase;
  color: var(--violet-200);
  font-weight: bold;
}
.info-icon {
  color: var(--gray-200);
  font-size: 40px;
}
.floorBtns {
  fill: transparent;
}
.floorBtns:hover {
  fill: var(--green-200);
  opacity: 0.5;
  filter: drop-shadow(2px 2px 10px var(--violet-200));
}
.btn {
  border-radius: 0px;
}
.btn-primary {
  background-color: var(--gray-200);
  border-color: var(--gray-200);
}
.btn-outline-primary{
  color: var(--gray-200);
  border-color: var(--gray-200);
}
.btn-primary:hover, .btn-outline-primary:hover {
  background-color: var(--gray-100);
  border-color: var(--gray-100);
  color: white;
}
.btn-primary:active, .btn-outline-primary:active {
  background-color: var(--gray-100) !important;
  border-color: var(--gray-100) !important;
  color: white !important;
}
.location-overlay {
  background: rgb(67, 100, 64);
  padding: 60px;
  display: inline-block;
  color: white;
}
@media (min-width: 768px) {
  .post-item {
    flex-basis: 50%;
    flex-shrink: 0;
  }
}
@media (min-width: 981px) {
  .post-item {
    flex-basis: 33.333333333%;
  }
}
@media (max-width: 980px) {
  .itc-slider__item {
    flex: 0 0 100%;
    max-width: 100%;
    height: 60vh;
  }
  .map-div {
    height: 50vh;
  }
  .main-mob-image {
    background: url(/img/main-mob.jpg);
    background-repeat: no-repeat !important;
    background-size: cover !important;
    width: 100%;
    height: auto;
  }

  .floor-scheme-content-mobile div:first-child {
    background-color: hsl(5, 65%, 46%);
  }
  .floor-scheme-content-mobile div:last-child {
    background-color: hsl(36, 75%, 46%);
  }
  .floor-scheme-content-mobile span {
    color: white;
    line-height: 30px;
  }
  .current-floor-mobile {
    /*height: 50px;*/
    /*width: 150px;*/
    /*font-size: 20px;*/
    border-radius: 0;
    /*background: var(--green-300);*/
    /*color: var(--green-500);*/
  }

  h4 {
    font-size: 1.3rem;
  }
  .about-project {
    padding-left: 2rem;
  }
  .footer_menu li {
    width: 150px;
  }
  .menu {
    display: none;
  }
  .langBar {
    right: 70px;
  }
  .floor-nav-div-mobile {
    position: absolute;
    left: 0;
    text-align: center;
    font-size: 20px;
    width: 100%;
    top: 85px;
    height: 50%;
  }
  .floorInfo {
    position: absolute;
    top: 70%;
    left: 50%;
    margin-right: -50%;
    transform: translate(-50%, -50%);
    color: var(--gray-500);
    display: none;
  }
  .chooseFloor {
    font-size: 30px;
    color: var(--green-500);
    display: block;
    position: absolute;
    top: 50%;
    left: 50%;
    margin-right: -50%;
    transform: translate(-50%, -50%);
  }
  .floorPlus,
  .floorMinus {
    padding: 10px;
    width: 49px;
    background: var(--green-300);
    color: var(--green-500);
    -moz-user-select: none;
    -khtml-user-select: none;
    -webkit-user-select: none;
    user-select: none;
  }

  .currentFloor,
  .showFloorPlan {
    background: var(--gray-200);
    font-size: 19px;
    font-weight: 500;
    color: var(--green-300);
    /* position: relative;
        top: 27px; */
  }
  .showFloorPlan {
    margin-top: 10px;

    /* border: 1px solid;
        padding: 3px;
        line-height: 24px;
        background: #6cafd0;
        border-radius:3px;	
        width:115px;
        font-size:14px; */
  }
  .activeFloor {
    fill: #36c22961;
    filter: drop-shadow(0 0 10px #fdfbfb);
  }
  .chooseFloor {
    display: none;
  }
  .fil2 {
    fill: transparent;
  }
  .footer_menu {
    display: flex;
  }
  h1 {
    font-size: 2rem;
  }
  .camera-styles {
    width: 100%;
    height: 60vh;
  }
  /* features */
  .features:last-child {
    display: none;
  }
  /* installment */
  .installment-icon i {
    font-size: 75px;
    color: var(--green-200);
  }
  .installment-icon-col i {
    height: 75px;
    width: 60px;
    background-color: var(--green-200);
    border-radius: 4px;
    padding: 17px 10px;
  }
  .installment-icon-col {
    font-size: 40px;
    color: #fff;
  }
  .installment h3 {
    text-transform: uppercase;
    font-size: 16px;
    font-weight: 500;
  }
  .installment-icon {
    height: 111px;
  }
  .installment-inner-row span {
    font-size: 14px;
  }
  .installment-back {
    background: url(img/back_3.jpeg);
    background-position: bottom;
    background-repeat: no-repeat;
    background-size: cover;
    box-shadow: inset 0px -15vh 0px 0px #fff;
  }
  .container-installment {
    height: auto;
  }
  .installment {
    box-shadow: 0 0 20px 10px #a0a0a040;
    border-radius: 5px;
    background-color: #fff;
    margin-top: 40%;
  }
  /* timer */
  .timer-counters div {
    border-left: none;
  }
  .timer-counters div:nth-child(3n) {
    border-right: 2px solid var(--green-500);
    border-left: 2px solid var(--green-500);
  }
  /* why holiday residence */
  .why-col {
    padding-left: 2rem;
  }
  .why-container {
    height: auto;
  }
  .why-row {
    height: auto;
  }
  .why-inner-row {
    height: auto;
  }
  .why-inner-row i {
    font-size: 16px;
  }
  .why-inner-row div {
    min-height: 250px;
  }
  /* available plannings */
  .planning-col {
    padding-left: 2rem;
  }
  .swiper-container {
    width: 100%;
    height: 100%;
  }
  .swiper-pagination-bullet {
    width: 13px;
    height: 13px;
  }
  .details {
    opacity: 1;
  }
  .shape:hover .details {
    opacity: 1;
  }
  /* finished projects */
  .finished .swiper-pagination-bullet {
    width: 13px;
    height: 13px;
  }
  /* mini park */
  .park {
    padding-left: 2rem;
  }
  .park-desc {
    margin-left: 3rem;
  }
  .park-back {
    background: url(/img/minipark.jpg);
    background-size: cover;
    background-position: center;
    height: 255px;
  }
  #apartmentInfoModal {
    line-height: 26px;
    padding: 10px 15px;
    position: absolute;
    z-index: 99;
    font-family: roboto;
    font-weight: 300;
    font-size: 14px;
    display: block;
    color: var(--gray-200);
    width: 130px;
  }

}
--green-100: hsl(40, 15%, 48%);
--green-200: hsl(40, 20%, 68%);
--green-300: hsl(40, 21%, 78%);
--green-400: hsl(42, 21%, 83%);
--green-500: hsl(38, 11%, 87%);

--green-tone-100: hsl(40, 15%, 48%);
--green-tone-200: hsl(40, 20%, 68%);
--green-tone-300: hsl(40, 21%, 78%);
--green-tone-400: hsl(42, 21%, 83%);
--green-tone-500: hsl(42, 21%, 83%);

--gray-100: hsl(40, 15%, 48%);
--gray-200: hsl(40, 20%, 68%);
--gray-300: hsl(40, 21%, 78%);
--gray-400: hsl(40, 21%, 78%);
--gray-500: hsl(42, 21%, 83%);

.apts:hover {
  fill: #dfdaca54;
  filter: drop-shadow(0 0 10px #fdfbfb);
  cursor: pointer;
}

.fil0:hover {
  fill: #d0cea861;
  filter: drop-shadow(0 0 3px #fdfbfb);
}

.activeFloor {
  fill: #d0cea861;
  filter: drop-shadow(0 0 10px #fdfbfb);
}

.currentFloor, .showFloorPlan {
  padding: 10px 0px;
  background: var(--gray-200);
  font-size: 15px;
  /*font-weight: 500;*/
  color: #fff;
  line-height: 30px;
}

.floorPlus, .floorMinus {
  padding: 10px;
  width: 50px;
  background: var(--gray-200);
  color: #fff;
  -moz-user-select: none;
  -khtml-user-select: none;
  -webkit-user-select: none;
  line-height: 30px;
  user-select: none;
}

.btn-success.focus, .btn-success:focus {
  color: #fff;
  background-color: #218838;
  border-color: #1e7e34;
  box-shadow: 0 0 0 .2rem rgba(191, 187, 164, 0.5);
}

.modal-fullscreen {
  max-width: 100%;
  height: 100%;
  margin: 0;
}

.modal-content {
  height: 100%;
  display: flex;
  flex-direction: column;
}

.modal-body {
  flex-grow: 1;
  overflow-y: auto;
}